#### D.15.4.13 difformIsGen

Procedure from library `difform.lib` (see difform_lib).

Usage:
  difformIsGen(df); df difform

Return:
  1, if df is a generator of the differential algebra - 0, otherwise

Remarks:
  Uses the procedure difformCoef and tests for a single coefficient which is one

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z,a,b,c),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dDa, dDb, dDc, dx, dy, dz, da, db, dc are available.
    ////////////////
    // Generators //
    ////////////////
    difformIsGen(1);
    ==> 1
    difformIsGen(dx);
    ==> 1
    difformIsGen(da*dc);
    ==> 1
    difformIsGen(dy*da*db);
    ==> 1
    difformIsGen(-da*dz);
    ==> 1
    ///////////////////
    // No generators //
    ///////////////////
    difformIsGen(-1);
    ==> 0
    difformIsGen(-dx);
    ==> 0
    difformIsGen(dc*da);
    ==> 0
    difformIsGen(dy*db*da);
    ==> 0
    difformIsGen(dx*dz*dy);
    ==> 0
    kill Omega_R,dx,dy,dz,da,db,dc;

See also: difformCoef.

User manual for Singular version 4.4.1, 2025, generated by texi2html.